import threading

import lib

stock_target = 20
# (gen_method, only_america): lib.PointSource
sources = {
    ("MAPCRUNCH", False): lib.MapCrunchPointSource(stock_target=stock_target, max_retries=1000, only_america=False),
    ("MAPCRUNCH", True): lib.MapCrunchPointSource(stock_target=stock_target, max_retries=1000, only_america=True),
    ("RANDOMSTREETVIEW", False): lib.RSVPointSource(stock_target=stock_target, only_america=False),
    ("RANDOMSTREETVIEW", True): lib.RSVPointSource(stock_target=stock_target, only_america=True),
    ("URBAN", False): lib.UrbanPointSource(
        stock_target=stock_target,
        max_retries=100,
        retries_per_point=30,
        max_dist_km=25,
        usa_chance=0.1
    ),
    ("URBAN", True): lib.UrbanPointSource(
        stock_target=stock_target,
        max_retries=100,
        retries_per_point=30,
        max_dist_km=25,
        usa_chance=1.0
    )
}


def restock_all():
  """
  Restock all the configured sources above
  """
  for src in sources.values():
      threading.Thread(target=src.restock).start()
